<?php

namespace Mkb\Sdk\Exceptions;

class ExtensionNotFoundException extends \Exception
{
	/**
	 * Constructor
	 *
	 * @param string $name extension name
	 * @param int $code error code
	 */

	public function __construct($name, $code = 0)
	{
		$message = sprintf('%s extension is not loaded!', $name);

		parent::__construct($message, $code);
	}
}
