<?php

define('MKB_SDK_ROOT_PATH', dirname(__FILE__));

function mkbSdkLoadClass($className)
{
	if (strncmp('Mkb\\Sdk', $className, 7) === 0) {
		$path   = MKB_SDK_ROOT_PATH;
		$length = 7;
	} else {
		return;
	}
	$path .= str_replace('\\', '/', substr($className, $length)) . '.php';
	if (file_exists($path)) {
		require $path;
	}
}

spl_autoload_register('mkbSdkLoadClass');
