<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-cod" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-cod" class="form-horizontal">

          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-paymentname"><?php echo $entry_paymentname; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_paymentname" value="<?php echo $mkb_paymentname; ?>" placeholder="<?php echo $entry_paymentname; ?>" id="input-paymentname" class="form-control" />
              <?php if($error_paymentname): ?>
              <div class="text-danger"><?php echo $error_paymentname; ?></div>
              <?php endif;?>
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-mid"><?php echo $entry_mid; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_mid" value="<?php echo $mkb_mid; ?>" placeholder="<?php echo $entry_mid; ?>" id="input-mid" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-secret"><?php echo $entry_secret; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_secret" value="<?php echo $mkb_secret; ?>" placeholder="<?php echo $entry_secret; ?>" id="input-secret" class="form-control" />
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-login"><?php echo $entry_login; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_login" value="<?php echo $mkb_login; ?>" placeholder="<?php echo $entry_login; ?>" id="input-login" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-password"><?php echo $entry_password; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_password" value="<?php echo $mkb_password; ?>" placeholder="<?php echo $entry_password; ?>" id="input-password" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-merchant_mail"><?php echo $entry_merchant_mail; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_merchant_mail" value="<?php echo $mkb_merchant_mail; ?>" placeholder="<?php echo $entry_merchant_mail; ?>" id="input-merchant_mail" class="form-control" />
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-mode"><?php echo $entry_mode; ?></label>
            <div class="col-sm-10">
              <select name="mkb_mode" id="input-mode" class="form-control">
                <?php if($mkb_mode == 'test'): ?>
                <option value="test" selected="selected"><?php echo $text_mode_test; ?></option>
                <?php else: ?>
                <option value="test"><?php echo $text_mode_test; ?></option>
                <?php endif;?>
                <?php if($mkb_mode == 'prod'): ?>
                <option value="prod" selected="selected"><?php echo $text_mode_prod; ?></option>
                <?php else: ?>
                <option value="prod"><?php echo $text_mode_prod; ?></option>
                <?php endif;?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status"><?php echo $entry_order_status; ?></label>
            <div class="col-sm-10">
              <select name="mkb_order_status_id" id="input-order-status" class="form-control">
                <?php foreach($order_statuses as $order_status): ?>
                <?php if($order_status['order_status_id'] == $mkb_order_status_id): ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php else: ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php endif;?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-geo-zone"><?php echo $entry_geo_zone; ?></label>
            <div class="col-sm-10">
              <select name="mkb_geo_zone_id" id="input-geo-zone" class="form-control">
                <option value="0"><?php echo $text_all_zones; ?></option>
                <?php foreach($geo_zones as $geo_zone): ?>
                <?php if($geo_zone['geo_zone_id'] == $mkb_geo_zone_id): ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                <?php else: ?>
                <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                <?php endif;?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
            <div class="col-sm-10">
              <select name="mkb_status" id="input-status" class="form-control">
                <?php if($mkb_status): ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php else: ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php endif;?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
            <div class="col-sm-10">
              <input type="text" name="mkb_sort_order" value="<?php echo $mkb_sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>